Subject: Offline Message from boboomer 9: My swagger eb8 fold up fat tire e bike doesn
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 02 Jun 2022 01:23:36 -0000

From: boboomer 9 <[email-masked]>
Phone: 8162233953
Location: , United States
URL: https://swagtron.com/electric-bikes
Department: SwagTron

My swagger eb8 fold up fat tire e bike doesn't turn on and I got it 3 months ago every time I try too us it it doesn't work or go and it is the 12th time I have used it in those 3 months 12 times meaning days iv gone from work to home with 13 miles there and back.

----
Zopim
https://www.zopim.com